#include <cstdio>
#include <fstream>
using namespace std;

int main()
{
	int tests;
	float r, x ,y, rez;
	
	ifstream in("fire.in");
	in >> tests;
	while(tests)
	{
		in >> r >> x >> y;
		rez=r*x/(2*r-y);
		printf("%.2f\n",rez);
		tests--;
	}
	return 0;
}
